Merge raster layers error in Processing

2014-10-17 10:26 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19707

Description

Apparently an option has changed in SAGA:

Algorithm Merge raster layers starting...

grid_tools "Merging" -GRIDS

"/tmp/processing/df59e75a8bc14e51a2e0f9e34d14f6c2/OUTPUT.tif.sgrd;/tmp/processing/4295320f57714bb69d8d7378e1b93eed/Outputlayer.sgrd" -TYPE 7 -INTE

utlayer.sgrd" -TYPE 7 -INTERPOL 0 -OVERLAP 0 -MERGED "/tmp/processing/e279770e3c4243fcb2bc0ef06204f0cf/MERGED.tif.sgrd"

io_gdal 1 -GRIDS "/tmp/processing/e279770e3c4243fcb2bc0ef06204f0cf/MERGED.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/e279770e3c4243fcb2bc0ef06204f0cf/MERGED.tif" 

Unknown option 'GRIDS'

_____________________________________

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libgrid_tools.so

library name: Grid - Tools

tool name : Resampling

author : O.Conrad (c) 2003

_____________________________________

Usage: saga_cmd grid_tools 0 -INPUT [-INPUT_ADD ] [-OUTPUT_ADD ] [-KEEP_TYPE] [-TARGET ] [-SCALE_UP_METHOD ]

[-SCALE_DOWN_METHOD ] [-USER_XMIN ] [-USER_XMAX ] [-USER_YMIN ] [-USER_YMAX ] [-USER_SIZE ] [-USER_FIT ]

[-USER_GRID ] [-GRID_GRID ]

-INPUT: Grid

Grid (input)

-INPUT_ADD: Additional Grids

Grid list (optional input)

-OUTPUT_ADD: Additional Grids

Grid list (optional output)

-KEEP_TYPE Preserve Data Type

Boolean

Default: 0
-TARGET: Target Grid

Choice

Available Choices:

[0] user defined

[1] grid

Default: 0

-SCALE_UP_METHOD: Interpolation Method

Choice

Available Choices:

[0] Nearest Neighbor

[1] Bilinear Interpolation

[2] Inverse Distance Interpolation

[3] Bicubic Spline Interpolation

[4] B-Spline Interpolation

[5] Mean Value

[6] Mean Value (cell area weighted)

[7] Minimum Value

[8] Maximum Value

[9] Majority

Default: 6

-SCALE_DOWN_METHOD: Interpolation Method

Choice

Available Choices:

[0] Nearest Neighbor

[1] Bilinear Interpolation

[2] Inverse Distance Interpolation

[3] Bicubic Spline Interpolation

[4] B-Spline Interpolation

Default: 4

-USER_XMIN: Left

Floating point

Default: 0.000000

-USER_XMAX: Right

Floating point

Default: 0.000000

-USER_YMIN: Bottom

Floating point

Default: 0.000000

-USER_YMAX: Top

Floating point

Default: 0.000000

-USER_SIZE: Cellsize

Floating point

Minimum: 0.000000

Default: 1.000000

-USER_FIT: Fit

Choice

Available Choices:

[0] nodes

[1] cells

Default: 0

-USER_GRID: Grid

Data Object (optional output)
-GRID_GRID: Grid

Grid (optional input)

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

_____________________________________

    1. ## ##### ##

    1. ### ## ###

    2. # ## ## #### # ##

    3. ##### ## # #####

        1. # ## ##### # ##

_____________________________________

_____________________________________

library path: /usr/lib/x86_64-linux-gnu/saga/libio_gdal.so

library name: Import/Export - GDAL/OGR

tool name : GDAL: Export Raster

author : O.Conrad (c) 2007

_____________________________________

Load grid: /tmp/processing/e279770e3c4243fcb2bc0ef06204f0cf/MERGED.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

Output di conversione

Caricamento layer

Algorithm Merge raster layers finished

History

#1 - 2014-10-19 09:17 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

The tool changed name in SAGA 2.1.2, now is "mosaiking", but the tool code is [3] as the previous "merging".

As the tool "merging" does not exist anymore the above error message actually shows the usage of tool [0] and this can confuse a lot...

I noticed also that in SAGA 2.1.2 there are two more grid_tools modules compared to 2.1.0 and three more compared to 2.0.8.

I'm working to fix all this issues.

#2 - 2014-10-19 11:51 AM - Giovanni Manghi

see

https://github.com/qgis/QGIS/pull/1636

#3 - 2014-10-20 04:59 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
